﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataTable d { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            d = new DataTable();
            this.DataContext = CreateTable(3, 10).DefaultView;
        }

        public DataTable CreateTable(int columns, int rows)
        {
            
            Random r = new Random();

            for (int i = 0; i < columns; i++)
            {
                d.Columns.Add(new DataColumn("Column " + i, typeof(int)));
            }
            for (int i = 0; i < rows; i++)
            {
                DataRow row = d.NewRow();

                for (int j = 0; j < columns; j++)
                {
                    row["Column " + j] = r.Next(1000 * i);
                }

                d.Rows.Add(row);
            }
            return d;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            DataRow row = d.NewRow();

            for (int j = 0; j < d.Columns.Count; j++)
            {
                row["Column " + j] = new Random().Next(1000 * j);
            }

            d.Rows.Add(row);
        }
    }
}
